Bug 445920 - GPU power sensors missing
Summary: GPU power sensors missing
Status: RESOLVED FIXED
Alias: None
Product: plasma-systemmonitor
Classification: Plasma
Component: general (show other bugs)
Version: master
Platform: Other Linux
: NOR normal
Target Milestone: ---
Assignee: KSysGuard Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-11-22 13:35 UTC by David Redondo
Modified: 2022-05-06 21:36 UTC (History)
6 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.24.6


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description David Redondo 2021-11-22 13:35:53 UTC
They're in sensors output but the plugin does not pick them up
Comment 1 David Redondo 2021-11-22 13:37:46 UTC
Matthias, could you please attach sensors -u output?
Comment 2 Matthias Mueller 2021-11-22 13:49:03 UTC
(In reply to David Redondo from comment #1)
> Matthias, could you please attach sensors -u output?

Sure:
[termy@Wunderland] ➜ ~ sensors -u                                                                                                                                                                                                                                                    
amdgpu-pci-1000
Adapter: PCI adapter
vddgfx:
  in0_input: 0.768
fan1:
  fan1_input: 0.000
  fan1_min: 0.000
  fan1_max: 3300.000
edge:
  temp1_input: 57.000
  temp1_crit: 100.000
  temp1_crit_hyst: -273.150
  temp1_emergency: 105.000
junction:
  temp2_input: 60.000
  temp2_crit: 110.000
  temp2_crit_hyst: -273.150
  temp2_emergency: 115.000
mem:
  temp3_input: 58.000
  temp3_crit: 100.000
  temp3_crit_hyst: -273.150
  temp3_emergency: 105.000
power1:
  power1_average: 43.000
  power1_cap: 255.000
Comment 3 David Redondo 2021-11-23 08:18:19 UTC
Ok, in the code we try to find the *input "subfeature" of every sensor which is the current value, so we may need to extend this to average for power
Comment 4 David Redondo 2022-05-06 06:54:51 UTC
Git commit 7758d202eed28169c031e099e408ea258469e408 by David Redondo.
Committed on 06/05/2022 at 06:52.
Pushed by davidre into branch 'master'.

Fall back to power average if input is not available

Some power sensors don't expose a current value most notably amdgpu.
For those fall back to the average reading if available.

M  +3    -0    systemstats/SensorsFeatureSensor.cpp

https://invent.kde.org/plasma/libksysguard/commit/7758d202eed28169c031e099e408ea258469e408
Comment 5 Nate Graham 2022-05-06 21:35:51 UTC
Git commit 88722b18c92f3a688a69abef9022cbcdcb5163bb by Nate Graham, on behalf of David Redondo.
Committed on 06/05/2022 at 21:35.
Pushed by ngraham into branch 'Plasma/5.24'.

Fall back to power average if input is not available

Some power sensors don't expose a current value most notably amdgpu.
For those fall back to the average reading if available.


(cherry picked from commit 7758d202eed28169c031e099e408ea258469e408)

M  +3    -0    systemstats/SensorsFeatureSensor.cpp

https://invent.kde.org/plasma/libksysguard/commit/88722b18c92f3a688a69abef9022cbcdcb5163bb